
vda = get(da,'Value');
vdm = get(dm,'Value');
vmm = get(mm,'Value');

switch vda
	case 1
		cda = 'C';
	case 2
		cda = 'F';
	case 3
		cda = 'S';
	case 4
		cda = 'FS';
	otherwise
		error('Unknown actual dynamic model type.');
end		
	
switch vdm
	case 1
		cdm = 'C';
	case 2
		cdm = 'F';
	case 3
		cdm = 'S';
	case 4
		cdm = 'FS';
	otherwise
		error('Unknown measured dynamic model type.');
end		
	
switch vmm
	case 1
		cm = 'L';
	case 2
		cm = 'A';
	otherwise
		error('Unknown measurement model type.');
end		

meas_scale = 100;
process_scale = 1;
T = truth(0);
S = dosim(T,cda,cdm,cm,meas_scale,process_scale);
plotSim(T,S,cda,cdm,cm);
